Decisions
Answer typed questions (predicate, choice, score) about an input and return a calibrated probability for every option, without generating text. The model in the body selects and authorizes the target model.
AuthorizationBearer <token>
OpenAI-compatible: send the project-scoped Nebul API key as Authorization: Bearer <key>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/decisions" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "input": "string", "questions": [ { "type": "predicate", "instructions": "string" } ] }'{ "model": "string", "answers": [ { "type": "predicate", "name": "string", "probability": 0 } ], "usage": { "input_tokens": 0, "input_tokens_details": { "cached_tokens": 0, "cache_write_tokens": 0 }, "output_tokens": 0, "output_tokens_details": { "reasoning_tokens": 0 }, "total_tokens": 0 }}